org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class ObjectFactory

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the com.microsoft.schemas.windows.pki._2009._01.enrollmentpolicy package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.microsoft.schemas.windows.pki._2009._01.enrollmentpolicy

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attributes` | `createAttributes()` Create an instance of `Attributes`
    `CA` | `createCA()` Create an instance of `CA`
    `CACollection` | `createCACollection()` Create an instance of `CACollection`
    `CAReferenceCollection` | `createCAReferenceCollection()` Create an instance of `CAReferenceCollection`
    `CAURI` | `createCAURI()` Create an instance of `CAURI`
    `CAURICollection` | `createCAURICollection()` Create an instance of `CAURICollection`
    `CertificateEnrollmentPolicy` | `createCertificateEnrollmentPolicy()` Create an instance of `CertificateEnrollmentPolicy`
    `CertificateValidity` | `createCertificateValidity()` Create an instance of `CertificateValidity`
    `Client` | `createClient()` Create an instance of `Client`
    `JAXBElement<String>` | `createCommonName(String value)` Create an instance of `JAXBElement``<``String``>`}
    `CryptoProviders` | `createCryptoProviders()` Create an instance of `CryptoProviders`
    `EnrollmentPermission` | `createEnrollmentPermission()` Create an instance of `EnrollmentPermission`
    `Extension` | `createExtension()` Create an instance of `Extension`
    `ExtensionCollection` | `createExtensionCollection()` Create an instance of `ExtensionCollection`
    `FilterOIDCollection` | `createFilterOIDCollection()` Create an instance of `FilterOIDCollection`
    `GetPolicies` | `createGetPolicies()` Create an instance of `GetPolicies`
    `GetPoliciesResponse` | `createGetPoliciesResponse()` Create an instance of `GetPoliciesResponse`
    `KeyArchivalAttributes` | `createKeyArchivalAttributes()` Create an instance of `KeyArchivalAttributes`
    `OID` | `createOID()` Create an instance of `OID`
    `OIDCollection` | `createOIDCollection()` Create an instance of `OIDCollection`
    `OIDReferenceCollection` | `createOIDReferenceCollection()` Create an instance of `OIDReferenceCollection`
    `PolicyCollection` | `createPolicyCollection()` Create an instance of `PolicyCollection`
    `PrivateKeyAttributes` | `createPrivateKeyAttributes()` Create an instance of `PrivateKeyAttributes`
    `RARequirements` | `createRARequirements()` Create an instance of `RARequirements`
    `RequestFilter` | `createRequestFilter()` Create an instance of `RequestFilter`
    `Response` | `createResponse()` Create an instance of `Response`
    `Revision` | `createRevision()` Create an instance of `Revision`
    `SupersededPolicies` | `createSupersededPolicies()` Create an instance of `SupersededPolicies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.microsoft.schemas.windows.pki._2009._01.enrollmentpolicy

  - ### Method Detail

    - #### createGetPolicies

          public GetPolicies createGetPolicies()

      Create an instance of `GetPolicies`

    - #### createClient

          public Client createClient()

      Create an instance of `Client`

    - #### createRequestFilter

          public RequestFilter createRequestFilter()

      Create an instance of `RequestFilter`

    - #### createGetPoliciesResponse

          public GetPoliciesResponse createGetPoliciesResponse()

      Create an instance of `GetPoliciesResponse`

    - #### createResponse

          public Response createResponse()

      Create an instance of `Response`

    - #### createCACollection

          public CACollection createCACollection()

      Create an instance of `CACollection`

    - #### createOIDCollection

          public OIDCollection createOIDCollection()

      Create an instance of `OIDCollection`

    - #### createSupersededPolicies

          public SupersededPolicies createSupersededPolicies()

      Create an instance of `SupersededPolicies`

    - #### createOID

          public OID createOID()

      Create an instance of `OID`

    - #### createExtensionCollection

          public ExtensionCollection createExtensionCollection()

      Create an instance of `ExtensionCollection`

    - #### createAttributes

          public Attributes createAttributes()

      Create an instance of `Attributes`

    - #### createEnrollmentPermission

          public EnrollmentPermission createEnrollmentPermission()

      Create an instance of `EnrollmentPermission`

    - #### createCAReferenceCollection

          public CAReferenceCollection createCAReferenceCollection()

      Create an instance of `CAReferenceCollection`

    - #### createCertificateValidity

          public CertificateValidity createCertificateValidity()

      Create an instance of `CertificateValidity`

    - #### createCAURICollection

          public CAURICollection createCAURICollection()

      Create an instance of `CAURICollection`

    - #### createPolicyCollection

          public PolicyCollection createPolicyCollection()

      Create an instance of `PolicyCollection`

    - #### createRevision

          public Revision createRevision()

      Create an instance of `Revision`

    - #### createOIDReferenceCollection

          public OIDReferenceCollection createOIDReferenceCollection()

      Create an instance of `OIDReferenceCollection`

    - #### createCA

          public CA createCA()

      Create an instance of `CA`

    - #### createCertificateEnrollmentPolicy

          public CertificateEnrollmentPolicy createCertificateEnrollmentPolicy()

      Create an instance of `CertificateEnrollmentPolicy`

    - #### createCryptoProviders

          public CryptoProviders createCryptoProviders()

      Create an instance of `CryptoProviders`

    - #### createExtension

          public Extension createExtension()

      Create an instance of `Extension`

    - #### createFilterOIDCollection

          public FilterOIDCollection createFilterOIDCollection()

      Create an instance of `FilterOIDCollection`

    - #### createCAURI

          public CAURI createCAURI()

      Create an instance of `CAURI`

    - #### createRARequirements

          public RARequirements createRARequirements()

      Create an instance of `RARequirements`

    - #### createPrivateKeyAttributes

          public PrivateKeyAttributes createPrivateKeyAttributes()

      Create an instance of `PrivateKeyAttributes`

    - #### createKeyArchivalAttributes

          public KeyArchivalAttributes createKeyArchivalAttributes()

      Create an instance of `KeyArchivalAttributes`

    - #### createCommonName

          public JAXBElement<String> createCommonName(String value)

      Create an instance of `JAXBElement``<``String``>`}

Copyright © 2017 WSO2. All rights reserved.